package edu.gmu.trimdroid.soot.utils;

public class Const {

	// Methods
	public static final String METHOD_INIT = "<init>";
	public static final String METHOD_ON_CREATE = "onCreate";
	public static final String METHOD_ON_START = "onStart";
	public static final String METHOD_ON_OPTIONS_ITEM_SELECTED = "onOptionsItemSelected";
	public static final String METHOD_ON_MENU_ITEM_SELECTED = "onMenuItemSelected";
	public static final String METHOD_ON_CONTEXT_ITEM_SELECTED = "onContextItemSelected";
	public static final String METHOD_ON_LIST_ITEM_CLICK = "onListItemClick";
	public static final String METHOD_SET_CLASS_NAME = "setClassName";
	public static final String METHOD_SET_CLASS = "setClass";
	public static final String METHOD_SET_COMPONENT = "setComponent";

	public static final String METHOD_SET_ON_ITEM_CLICK_LISTERNER = "setOnItemClickListener";
	public static final String METHOD_SET_ON_CLICK_LISTERNER = "setOnClickListener";
	public static final String METHOD_SET_ITEMS = "setItems";
	public static final String METHOD_FIND_VIEW_BY_ID = "findViewById";
	public static final String METHOD_FIND_PREFERENCE = "findPreference";
	public static final String METHOD_SET_TITLE = "setTitle";

	// Types
	public static final String TYPE_OBJECT = "java.lang.Object";
	public static final String TYPE_STRING = "java.lang.String";
	public static final String TYPE_ALERT_DIALOG$BUILDER = "android.app.AlertDialog$Builder";
	public static final String TYPE_VIEW = "android.view.View";

	// GUI
	public static final String[] ENTRY_POINT_METHODS = { METHOD_ON_CREATE, METHOD_ON_START, METHOD_ON_OPTIONS_ITEM_SELECTED, METHOD_ON_MENU_ITEM_SELECTED,
			METHOD_ON_CONTEXT_ITEM_SELECTED, METHOD_ON_LIST_ITEM_CLICK };
	public static final String[] ENTRY_POINT_MENU = { METHOD_ON_OPTIONS_ITEM_SELECTED, METHOD_ON_MENU_ITEM_SELECTED, METHOD_ON_CONTEXT_ITEM_SELECTED,
			METHOD_ON_LIST_ITEM_CLICK };
	// IPC
	public static final String[] TARGET_SETTER_METHOD_NAMES = { METHOD_SET_CLASS_NAME, METHOD_SET_CLASS };

	public static final String MANIFEST_FILE_NAME = "AndroidManifest.xml";
	public static final String MANIFEST_MAIN_ACTION = "android.intent.action.MAIN";
	public static final String MANIFEST_NAME_ATTR = "android:name";

}
